Index: apps/app_voicemail.c
===================================================================
--- apps/app_voicemail.c	(revision 21205)
+++ apps/app_voicemail.c	(working copy)
@@ -856,8 +856,8 @@
 	char full_fn[256];
 	char msgnums[80];
 	
-	odbc_obj *obj;
-	obj = fetch_odbc_obj(odbc_database, 0);
+	struct odbc_obj *obj;
+	obj = odbc_request_obj(odbc_database, 0);
 	if (obj) {
 		ast_copy_string(fmt, vmfmts, sizeof(fmt));
 		c = strchr(fmt, '|');
@@ -999,8 +999,8 @@
 	char sql[256];
 	char rowdata[20];
 	
-	odbc_obj *obj;
-	obj = fetch_odbc_obj(odbc_database, 0);
+	struct odbc_obj *obj;
+	obj = odbc_request_obj(odbc_database, 0);
 	if (obj) {
 		res = SQLAllocHandle(SQL_HANDLE_STMT, obj->con, &stmt);
 		if ((res != SQL_SUCCESS) && (res != SQL_SUCCESS_WITH_INFO)) {
@@ -1051,8 +1051,8 @@
 	char rowdata[20];
 	char msgnums[20];
 	
-	odbc_obj *obj;
-	obj = fetch_odbc_obj(odbc_database, 0);
+	struct odbc_obj *obj;
+	obj = odbc_request_obj(odbc_database, 0);
 	if (obj) {
 		snprintf(msgnums, sizeof(msgnums), "%d", msgnum);
 		res = SQLAllocHandle(SQL_HANDLE_STMT, obj->con, &stmt);
@@ -1108,8 +1108,8 @@
 	char sql[256];
 	char msgnums[20];
 	
-	odbc_obj *obj;
-	obj = fetch_odbc_obj(odbc_database, 0);
+	struct odbc_obj *obj;
+	obj = odbc_request_obj(odbc_database, 0);
 	if (obj) {
 		snprintf(msgnums, sizeof(msgnums), "%d", smsg);
 		res = SQLAllocHandle(SQL_HANDLE_STMT, obj->con, &stmt);
@@ -1146,10 +1146,10 @@
 	char sql[512];
 	char msgnums[20];
 	char msgnumd[20];
-	odbc_obj *obj;
+	struct odbc_obj *obj;
 
 	delete_file(ddir, dmsg);
-	obj = fetch_odbc_obj(odbc_database, 0);
+	obj = odbc_request_obj(odbc_database, 0);
 	if (obj) {
 		snprintf(msgnums, sizeof(msgnums), "%d", smsg);
 		snprintf(msgnumd, sizeof(msgnumd), "%d", dmsg);
@@ -1211,10 +1211,10 @@
 	char *context="", *macrocontext="", *callerid="", *origtime="", *duration="";
 	char *category = "";
 	struct ast_config *cfg=NULL;
-	odbc_obj *obj;
+	struct odbc_obj *obj;
 
 	delete_file(dir, msgnum);
-	obj = fetch_odbc_obj(odbc_database, 0);
+	obj = odbc_request_obj(odbc_database, 0);
 	if (obj) {
 		ast_copy_string(fmt, vmfmts, sizeof(fmt));
 		c = strchr(fmt, '|');
@@ -1324,10 +1324,10 @@
 	char sql[256];
 	char msgnums[20];
 	char msgnumd[20];
-	odbc_obj *obj;
+	struct odbc_obj *obj;
 
 	delete_file(ddir, dmsg);
-	obj = fetch_odbc_obj(odbc_database, 0);
+	obj = odbc_request_obj(odbc_database, 0);
 	if (obj) {
 		snprintf(msgnums, sizeof(msgnums), "%d", smsg);
 		snprintf(msgnumd, sizeof(msgnumd), "%d", dmsg);
@@ -1995,8 +1995,8 @@
         } else  
                 context = "default";
 	
-	odbc_obj *obj;
-	obj = fetch_odbc_obj(odbc_database, 0);
+	struct odbc_obj *obj;
+	obj = odbc_request_obj(odbc_database, 0);
 	if (obj) {
 		res = SQLAllocHandle(SQL_HANDLE_STMT, obj->con, &stmt);
 		if ((res != SQL_SUCCESS) && (res != SQL_SUCCESS_WITH_INFO)) {
@@ -2095,8 +2095,8 @@
         } else
                 context = "default";
 
-        odbc_obj *obj;
-        obj = fetch_odbc_obj(odbc_database, 0);
+        struct odbc_obj *obj;
+        obj = odbc_request_obj(odbc_database, 0);
         if (obj) {
                 res = SQLAllocHandle(SQL_HANDLE_STMT, obj->con, &stmt);
                 if ((res != SQL_SUCCESS) && (res != SQL_SUCCESS_WITH_INFO)) {
